Get External Ticketing Instances
curl --request GET \
--url https://api.example.com/api/notifications/deployments/{deploymentId}/ticketing/v2 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/notifications/deployments/{deploymentId}/ticketing/v2"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/notifications/deployments/{deploymentId}/ticketing/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instances": [
{
"id": 123,
"isConfigured": true,
"isAuthRevoked": true,
"instanceType": "<string>",
"subdomain": "<string>",
"projectId": "<string>",
"issueTypeId": "<string>",
"fields": {},
"automationStates": {
"sast": true,
"sca": true,
"secrets": true,
"scaMaliciousDeps": true,
"aiSast": true
},
"transitionStates": [
{
"jiraTransitionId": "<string>",
"semgrepAggregateState": "<string>"
}
],
"subtaskIssueTypeId": "<string>"
}
]
}External Ticketing
Get External Ticketing Instances
Gets the issue tracking systems linked to a deployment. E.g. Jira.
GET
/
api
/
notifications
/
deployments
/
{deploymentId}
/
ticketing
/
v2
Get External Ticketing Instances
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of the deployment associated with the finding. Can be found via the Deployments Service or in your Settings in the web UI.
Example:
1234
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I